SFML 2.6.2

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Namespaces | Typedefs
Glsl.hpp File Reference
`#include <SFML/Graphics/Transform.hpp>`
`#include <SFML/Graphics/Color.hpp>`
`#include <SFML/System/Vector2.hpp>`
`#include <SFML/System/Vector3.hpp>`
`#include <SFML/Graphics/Glsl.inl>`

Go to the source code of this file.

## Namespaces

namespace | sf
namespace | sf::Glsl
| Namespace with GLSL types.

## Typedefs

typedef Vector2< float > | sf::Glsl::Vec2
| 2D float vector (`vec2` in GLSL)
typedef Vector2< int > | sf::Glsl::Ivec2
| 2D int vector (`ivec2` in GLSL)
typedef Vector2< bool > | sf::Glsl::Bvec2
| 2D bool vector (`bvec2` in GLSL)
typedef Vector3< float > | sf::Glsl::Vec3
| 3D float vector (`vec3` in GLSL)
typedef Vector3< int > | sf::Glsl::Ivec3
| 3D int vector (`ivec3` in GLSL)
typedef Vector3< bool > | sf::Glsl::Bvec3
| 3D bool vector (`bvec3` in GLSL)
typedef implementation defined | sf::Glsl::Vec4
| 4D float vector (`vec4` in GLSL)
typedef implementation defined | sf::Glsl::Ivec4
| 4D int vector (`ivec4` in GLSL)
typedef implementation defined | sf::Glsl::Bvec4
| 4D bool vector (`bvec4` in GLSL)
typedef implementation defined | sf::Glsl::Mat3
| 3x3 float matrix (`mat3` in GLSL)
typedef implementation defined | sf::Glsl::Mat4
| 4x4 float matrix (`mat4` in GLSL)